// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Given a list of CCF constituents, print them out in the sorted order.
//
// Giuseppe Vacanti, XMM Science Operations Team, November 1999
//
#include <param.h>
#include <Tracer.h>
#include <list>
#include "CcfConstituentFactory.h"
#include "sortccf.h"

void sortccf() {
  PROC
  list<CcfConstituent *> lccf;
  for(int i=0; i<parameterCount("sets"); i++){
    CcfConstituent * c = ccfConstituentFactory->ccfConstituent(stringParameter("sets",i));
    if(c->isValid())
      lccf.push_back(c);
  }
  lccf.sort(CcfConstituent::compare);
  for(list<CcfConstituent *>::const_iterator i=lccf.begin(); i!=lccf.end(); i++)
    cout << (*i)->basename() << endl;
  ENDPROC
}
      
